<?php
namespace FiloBlu\Flow\Model\Channel\In;


class Multistock extends Stock {

    /**
    * @var Monolog\Logger
    */
    protected $_logger;

    /**
     * Multistock constructor.
     * @param \FiloBlu\Flow\Helper\LoggerProvider $loggerProvider
     * @param \FiloBlu\Flow\Model\Channel\ConfigFactory $channelConfigFactory
     */
    public function __construct(
             \FiloBlu\Flow\Helper\LoggerProvider $loggerProvider,
             \FiloBlu\Flow\Model\Channel\ConfigFactory $channelConfigFactory
    ) {
        parent::__construct($loggerProvider, $channelConfigFactory);
        $this->_logger = $loggerProvider->getLogger();
    }

    public function load($channelname) {
        $this->init($channelname);
        return $this;
    }

    public function insertData($data) {
        
        return parent::insertData($data);
    }

}
